package pay_recharge

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/pay_recharge"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /pay_recharge/create pay_recharge CreatePayRecharge
//
// Create pay recharge information | 创建PayRecharge
//
// Create pay recharge information | 创建PayRecharge
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: PayRechargeInfo
//
// Responses:
//  200: BaseMsgResp

func CreatePayRechargeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PayRechargeInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := pay_recharge.NewCreatePayRechargeLogic(r.Context(), svcCtx)
		resp, err := l.CreatePayRecharge(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
